OpenTTD Source: src/base_station_base.h File Reference

OpenTTD Source 15.3

Data Structures | Typedefs | Functions | Variables
base_station_base.h File Reference

Base classes/functions for base stations. More...

`#include "core/pool_type.hpp"`
`#include "command_type.h"`
`#include "viewport_type.h"`
`#include "station_map.h"`
`#include "timer/timer_game_calendar.h"`

Go to the source code of this file.

## Data Structures
struct | SpecMapping< T >
struct | RoadStopTileData
struct | StationRect
| StationRect - used to track station spread out rectangle - cheaper than scanning whole map. More...
struct | BaseStation
| Base class for all station-ish types. More...
struct | SpecializedStation< T, Tis_waypoint >
| Class defining several overloaded accessors so we don't have to cast base stations that often. More...

## Typedefs
typedef Pool< BaseStation, StationID, 32 > | StationPool

## Functions
template<class T >
std::vector< SpecMapping< T > > & | GetStationSpecList (BaseStation *bst)
| Get spec mapping list for each supported custom spec type.
template<>
std::vector< SpecMapping< StationSpec > > & | GetStationSpecList< StationSpec > (BaseStation *bst)
template<>
std::vector< SpecMapping< RoadStopSpec > > & | GetStationSpecList< RoadStopSpec > (BaseStation *bst)

## Variables
StationPool | _station_pool

## Detailed Description

Base classes/functions for base stations.

Definition in file base_station_base.h.

## Typedef Documentation

## ◆ StationPool

typedef Pool<BaseStation, StationID, 32> StationPool

Definition at line 19 of file base_station_base.h.

## Function Documentation

## ◆ GetStationSpecList()

template<class T >

std::vector< SpecMapping< T > > & GetStationSpecList | ( | BaseStation * | bst | ) |

Get spec mapping list for each supported custom spec type.

Template Parameters

  T | Spec type.

Parameters

  bst | Station of custom spec list.

Returns
  Speclist of custom spec type.

## ◆ GetStationSpecList< RoadStopSpec >()

template<>

std::vector< SpecMapping< RoadStopSpec > > & GetStationSpecList< RoadStopSpec > | ( | BaseStation * | bst | ) |
| inline

Definition at line 308 of file base_station_base.h.

## ◆ GetStationSpecList< StationSpec >()

template<>

std::vector< SpecMapping< StationSpec > > & GetStationSpecList< StationSpec > | ( | BaseStation * | bst | ) |
| inline

Definition at line 308 of file base_station_base.h.